## python-dotenv 0.7.1

=== requirements.txt ===
flake8>=2.2.3
pytest>=3.0.5
sh>=1.09
bumpversion
wheel
pytest-cov
pytest-flake8
click
ipython

=== debian/changelog ===
python-dotenv (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Fix Vcs-Git URL.
    + Drop X-Python3-Version field.
      According to upstream the program supports all python3 versions, and
      keeping it to only 3.5 as it was leads to FTBFS now that python3.5 is
      being removed.  Closes: #880866
    + Bump Standards-Version to 4.1.2, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Dec 2017 14:23:38 +0100

python-dotenv (0.7.1-1) unstable; urgency=low

  * Initial packaging (Closes: #869635)

 -- Federico Ceratto <federico@debian.org>  Tue, 03 Oct 2017 22:23:32 +0100

=== debian/control ===
Source: python-dotenv
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~),
 help2man (>= 1.47.1)
Build-Depends-Indep: dh-python,
 python3-all,
 python3-click,
 python3-ipython,
 python3-pytest,
 python3-setuptools,
 python3-sh
Standards-Version: 4.1.2
Homepage: http://github.com/theskumar/python-dotenv
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-dotenv.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-dotenv.git

Package: python3-dotenv
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Get and set values in the .env file in local and production servers
 Reads key value pairs from the .env file and adds them to environment.
 variables. It is useful to manage settings during development and in
 production following the 12-factor principles: http://12factor.net/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-dotenv
export DH_VERBOSE=1
export LC_ALL=C.UTF-8
export LANG=C.UTF-8


# disable failing tests
export PYBUILD_TEST_ARGS=-k 'not test_default_path and not test_console_script'

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm debian/dotenv.1 .cache -rf

override_dh_installman:
	PYTHONPATH=. \
		help2man -N -L C.UTF-8 \
		-n ".env file manipulator" \
		--no-info --version-string="${DEB_VERSION}" \
		-o debian/dotenv.1 \
		./debian/python3-dotenv/usr/bin/dotenv
	dh_installman ./debian/dotenv.1

## python-dotenv 0.9.1

=== Makefile ===
.PHONY: clean-pyc clean-build test

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

sdist: clean
	python setup.py sdist
	ls -l dist

test:
	pip install -e .
	flake8 .
	py.test tests/

coverage:
	coverage run --source=dotenv --omit='*tests*' -m py.test tests/ -v --tb=native
	coverage report

coverage-html: coverage
	coverage html

=== requirements.txt ===
flake8>=2.2.3
pytest>=3.0.5
sh>=1.09
bumpversion
wheel
pytest-cov
click
ipython
pypandoc

=== debian/changelog ===
python-dotenv (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Rename executable to python-dotenv (Closes: #878030)

 -- Federico Ceratto <federico@debian.org>  Tue, 27 Nov 2018 23:33:06 +0000

=== debian/control ===
Source: python-dotenv
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
 help2man (>= 1.47.1)
Build-Depends-Indep: dh-python,
 python3-all,
 python3-click,
 python3-ipython,
 python3-pytest,
 python3-setuptools,
 python3-sh
Standards-Version: 4.2.1
Homepage: https://github.com/theskumar/python-dotenv
Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
Vcs-Browser: https://salsa.debian.org/debian/python-dotenv
Testsuite: autopkgtest-pkg-python

Package: python3-dotenv
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Get and set values in the .env file in local and production servers
 Reads key value pairs from the .env file and adds them to environment.
 variables. It is useful to manage settings during development and in
 production following the 12-factor principles: http://12factor.net/
 The executable is named python-dotenv

=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,17 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm debian/dotenv.1 .cache -rf
+	rm debian/python-dotenv.1 .cache -rf
+
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/python3-dotenv/usr/bin/dotenv debian/python3-dotenv/usr/bin/python-dotenv
 
 override_dh_installman:
 	PYTHONPATH=. \
 		help2man -N -L C.UTF-8 \
 		-n ".env file manipulator" \
 		--no-info --version-string="${DEB_VERSION}" \
-		-o debian/dotenv.1 \
-		./debian/python3-dotenv/usr/bin/dotenv
-	dh_installman ./debian/dotenv.1
+		-o debian/python-dotenv.1 \
+		./debian/python3-dotenv/usr/bin/python-dotenv
+	dh_installman ./debian/python-dotenv.1

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-dotenv-$1\.tar\.gz/ \
  https://github.com/theskumar/python-dotenv/tags .*/v?(\d\S*)\.tar\.gz

## python-dotenv 0.15.0

=== requirements.txt ===
bumpversion
typing; python_version<"3.5"
click
flake8>=2.2.3
ipython
mock
pytest-cov
pytest>=3.9
sh>=1.09
tox
wheel
twine
portray

=== debian/changelog ===
python-dotenv (0.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 27 Nov 2020 14:04:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
- help2man (>= 1.47.1)
+Build-Depends: debhelper-compat (= 13), help2man (>= 1.47.1)
 Build-Depends-Indep: dh-python,
  python3-all,
  python3-click,
+ python3-mock,
  python3-ipython,
  python3-pytest,
  python3-setuptools,
  python3-sh
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/theskumar/python-dotenv
 Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
 Vcs-Browser: https://salsa.debian.org/debian/python-dotenv
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-dotenv
 Architecture: all

## python-dotenv 0.19.0

=== requirements.txt ===
bumpversion
click
flake8>=2.2.3
ipython
mock
pytest-cov
pytest>=3.9
sh>=1.09
tox
types-mock
wheel
twine
portray

=== debian/changelog ===
python-dotenv (0.19.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 04 Sep 2021 18:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sh
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/theskumar/python-dotenv
 Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
 Vcs-Browser: https://salsa.debian.org/debian/python-dotenv

## python-dotenv 0.19.2

=== Makefile ===
--- 
+++ 
@@ -5,19 +5,22 @@
 clean-build:
 	rm -fr build/
 	rm -fr dist/
-	rm -fr *.egg-info
+	rm -fr src/*.egg-info
 
 clean-pyc:
 	find . -name '*.pyc' -exec rm -f {} +
 	find . -name '*.pyo' -exec rm -f {} +
 	find . -name '*~' -exec rm -f {} +
 
-release: clean
-	python setup.py sdist upload
-	python setup.py bdist_wheel upload
+release: sdist
+	twine check dist/*
+	twine upload dist/*
+
+release-test: sdist
+	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
 
 sdist: clean
-	python setup.py sdist
+	python setup.py sdist bdist_wheel
 	ls -l dist
 
 test:

=== debian/changelog ===
python-dotenv (0.19.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 24 Dec 2021 18:51:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), help2man (>= 1.47.1)
+Build-Depends: debhelper-compat (= 13), help2man (>= 1.47.1), debhelper
 Build-Depends-Indep: dh-python,
  python3-all,
  python3-click,
@@ -11,7 +11,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sh
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/theskumar/python-dotenv
 Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
 Vcs-Browser: https://salsa.debian.org/debian/python-dotenv

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 # disable failing tests
-export PYBUILD_TEST_ARGS=-k 'not test_default_path and not test_console_script'
+export PYBUILD_TEST_ARGS=-k 'not test_get_default_path and not test_run and not test_run_with_none_value and not test_run_with_other_env'
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -19,11 +19,12 @@
 	rm debian/python-dotenv.1 .cache -rf
 
 override_dh_auto_install:
+	find . -name '.nx_file' -delete
 	dh_auto_install
 	mv debian/python3-dotenv/usr/bin/dotenv debian/python3-dotenv/usr/bin/python-dotenv
 
 override_dh_installman:
-	PYTHONPATH=. \
+	PYTHONPATH=src \
 		help2man -N -L C.UTF-8 \
 		-n ".env file manipulator" \
 		--no-info --version-string="${DEB_VERSION}" \

## python-dotenv 0.20.0

=== debian/changelog ===
python-dotenv (0.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 27 Mar 2022 21:47:11 +0100

## python-dotenv 0.21.0

=== requirements.txt ===
black~=22.3.0
bumpversion
click
flake8>=2.2.3
ipython
pytest-cov
pytest>=3.9
sh>=1.09
tox
twine
wheel

=== debian/changelog ===
python-dotenv (0.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 17 Sep 2022 13:14:52 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sh
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/theskumar/python-dotenv
 Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
 Vcs-Browser: https://salsa.debian.org/debian/python-dotenv

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-dotenv-$1\.tar\.gz/ https://github.com/theskumar/python-dotenv/tags .*/v?(\d\S*)\.tar\.gz

## python-dotenv 1.0.0

=== debian/changelog ===
python-dotenv (1.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 11 Jun 2023 20:10:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sh
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/theskumar/python-dotenv
 Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
 Vcs-Browser: https://salsa.debian.org/debian/python-dotenv

## python-dotenv 1.0.1

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ipython
 pytest-cov
 pytest>=3.9
-sh>=1.09
+sh>=2
 tox
 twine
 wheel

=== debian/changelog ===
python-dotenv (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 27 Jan 2024 11:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends-Indep: dh-python,
  python3-all,
  python3-click,
- python3-mock,
  python3-ipython,
  python3-pytest,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -31,3 +31,6 @@
 		-o debian/python-dotenv.1 \
 		./debian/python3-dotenv/usr/bin/python-dotenv
 	dh_installman ./debian/python-dotenv.1
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.md

## python-dotenv 1.2.1

=== debian/changelog ===
python-dotenv (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 04 Jan 2026 10:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), help2man (>= 1.47.1), debhelper
+Build-Depends:
+ debhelper,
+ debhelper-compat (= 13),
+ help2man (>= 1.47.1),
+ pybuild-plugin-pyproject,
+ python3-sh
 Build-Depends-Indep: dh-python,
  python3-all,
  python3-click,
  python3-ipython,
  python3-pytest,
- python3-setuptools,
- python3-sh
+ python3-setuptools
 Standards-Version: 4.6.2
 Homepage: https://github.com/theskumar/python-dotenv
 Vcs-Git: https://salsa.debian.org/debian/python-dotenv.git
